Problème d'installation

Tout ce qui tourne autour de Postgresql.
Avatar de l’utilisateur
IChevalier
Informaticien
Informaticien
Messages : 181
Inscription : 10 sept. 2014, 11:00

Problème d'installation

Message par IChevalier » 03 juin 2015, 09:50

Bonjour à tous,
J'ai donc rencontré un problème pendant le stage, le programme exécutable "postgres" ne fonctionne pas, face à ça et malgré une aide, aucune solution n'a été trouvé.

Sur un pc avec l'os Ubuntu 14.04, la réponse quand on tente de l'exécuter est : "Le programme « postgres » n'est pas encore installé. Pour exécuter « postgres », veuillez demander à votre administrateur d'installer le paquet « postgres-xc »"

Et lorsque ce dernier est installé, un autre problème survient et c'est là que ça coince....
"postgres: Postgres-XC: must start as either a Coordinator (--coordinator) or Datanode (--datanode)"


Quelques recherches ne nous ont pas aidés à comprendre et donc n'ont pas permis de résoudre le problème.
C'est là que je demande votre aide pour comprendre. ^^

Je précise que c'est une demande pour améliorer mes connaissances. Ce n'est pas une nécessité, car c'est finalement le programme Mysql qui a été installé pour palier au problème. ;)
« NJA » :|

Avatar de l’utilisateur
pic-axe
Consultant
Consultant
Messages : 315
Inscription : 10 sept. 2014, 11:01

Re: Problème d'installation

Message par pic-axe » 03 juin 2015, 11:32

no idea sry
Hack is your weapon.

Rémy T.
Informaticien
Informaticien
Messages : 183
Inscription : 12 sept. 2012, 12:21

Re: Problème d'installation

Message par Rémy T. » 03 juin 2015, 11:37

Dans le cas présent, je pense que le mieux aurait été de désinstaller complètement Postgres puis de le réinstaller via un tuto, il y en a sur internet j'imagine.
Le plus simpe doit être de passer en ligne de commade via apt-get, yum ou autre gestionnaire de package disponible sur cet OS.

:geek: :geek:
"Cookie : Anciennement petit gâteau sucré, qu’on acceptait avec plaisir. Aujourd’hui : petit fichier informatique drôlement salé, qu’il faut refuser avec véhémence."
Luc Fayard

Avatar de l’utilisateur
Mathieu.H
Première année
Première année
Messages : 56
Inscription : 10 sept. 2014, 10:59

Re: Problème d'installation

Message par Mathieu.H » 03 juin 2015, 11:39

J'ai réussi à l'installer sur la même version d'Ubuntu en exécutant cette commande dans le terminal:
sudo apt-get install postgres-xc et je n'ai aucun problème
"La perfection n'existe pas
Ce monde est imparfait
Vous le constatez tous les jours
Et c'est pour ça qu'il est intéressant d'y vivre"

Avatar de l’utilisateur
IChevalier
Informaticien
Informaticien
Messages : 181
Inscription : 10 sept. 2014, 11:00

Re: Problème d'installation

Message par IChevalier » 03 juin 2015, 11:46

Ok, merci. :)
« NJA » :|

Avatar de l’utilisateur
Mathieu.H
Première année
Première année
Messages : 56
Inscription : 10 sept. 2014, 10:59

Re: Problème d'installation

Message par Mathieu.H » 03 juin 2015, 11:53

Si cela ne fonctionne toujours pas, tu peux toujours essayer la commande
sudo apt-get update
voila, c'est tous ce que je sais :)
"La perfection n'existe pas
Ce monde est imparfait
Vous le constatez tous les jours
Et c'est pour ça qu'il est intéressant d'y vivre"

lo_g
Deuxième année
Deuxième année
Messages : 74
Inscription : 10 sept. 2014, 11:09

Re: Problème d'installation

Message par lo_g » 03 juin 2015, 13:27

Mais euh pour le client de PostgreSQL c'est pas psql plutôt pour le lancer en ligne de commande ?

psql -h localhost ... ?

Avatar de l’utilisateur
fabio
Gourou
Gourou
Messages : 1340
Inscription : 11 sept. 2011, 16:32

Re: Problème d'installation

Message par fabio » 03 juin 2015, 13:49

Le paquet s'appelle postgresql, pas postgres-xc (c'est autre chose).

:ugeek:

Avatar de l’utilisateur
IChevalier
Informaticien
Informaticien
Messages : 181
Inscription : 10 sept. 2014, 11:00

Re: Problème d'installation

Message par IChevalier » 03 juin 2015, 14:21

Oki.

sinon, gaetan... oui certe, c'est bien "psql", je me suis trompé sur ce point :oops: , du coup ça marche mais en faite j'ai pas le mdp. x)

Enfin bon, y a mysql qui m'a sauvé donc c'est pas grave. :P
« NJA » :|

Répondre